Bug 1121879 - CVE-2014-4343 CVE-2014-4344 krb5: various flaws [fedora-all]
Summary: CVE-2014-4343 CVE-2014-4344 krb5: various flaws [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-4343 CVE-2014-4344
TreeView+ depends on / blocked
 
Reported: 2014-07-22 06:27 UTC by Murray McAllister
Modified: 2015-01-04 22:41 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-07 15:27:00 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-07-22 06:27:00 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-07-22 06:27:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1121876,1121879

# Description of your update
notes=Security fix for CVE-2014-4343

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1121876,1121879

Comment 2 Murray McAllister 2014-07-22 06:27:39 UTC
Adding parent bug 1121877 (for CVE-2014-4344).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1121879,1121876,1121877

# Description of your update
notes=Security fix for CVE-2014-4343, CVE-2014-4344

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1121879,1121876,1121877

Comment 3 Murray McAllister 2014-07-22 06:38:54 UTC
I missed the https://bugzilla.redhat.com/show_bug.cgi?id=1117963 bug so CVE-2014-4343 may already be fixed in Fedora.

Comment 4 Nalin Dahyabhai 2014-07-22 17:23:58 UTC
(In reply to Murray McAllister from comment #3)
> I missed the https://bugzilla.redhat.com/show_bug.cgi?id=1117963 bug so
> CVE-2014-4343 may already be fixed in Fedora.

FWIW, that's currently in updates-testing.

Comment 5 Fedora Update System 2014-07-22 17:25:20 UTC
krb5-1.11.3-24.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-8176/krb5-1.11.3-24.fc19

Comment 6 Fedora Update System 2014-07-22 17:25:25 UTC
krb5-1.11.5-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-8189/krb5-1.11.5-10.fc20

Comment 7 Fedora Update System 2014-07-23 03:01:43 UTC
Package krb5-1.11.3-24.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing krb5-1.11.3-24.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8176/krb5-1.11.3-24.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-08-07 15:27:00 UTC
krb5-1.11.3-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-08-07 15:32:41 UTC
krb5-1.11.5-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.